Subject: Re: [PATCH net-next] qrtr: move to staging

From: Greg Kroah-Hartman <[email-masked]>
Date: Mon, 29 Mar 2021 08:41:31 +0200

On Mon, Mar 29, 2021 at 09:30:25AM +0300, Leon Romanovsky wrote:
> On Mon, Mar 29, 2021 at 07:30:08AM +0200, Greg Kroah-Hartman wrote:
> > On Mon, Mar 29, 2021 at 08:17:06AM +0300, Leon Romanovsky wrote:
> > > On Sun, Mar 28, 2021 at 02:26:21PM +0200, Greg Kroah-Hartman wrote:
> > > > There does not seem to be any developers willing to maintain the
> > > > net/qrtr/ code, so move it to drivers/staging/ so that it can be removed
> > > > from the kernel tree entirely in a few kernel releases if no one steps
> > > > up to maintain it.
> > > > 
> > > > Reported-by: Matthew Wilcox <[email-masked]>
> > > > Cc: Du Cheng <[email-masked]>
> > > > Signed-off-by: Greg Kroah-Hartman <[email-masked]>
> > > > ---
> > > 
> > > Greg,
> > > 
> > > Why don't you simply delete it like other code that is not maintained?
> > 
> > "normally" we have been giving code a chance by having it live in
> > drivers/staging/ for a bit before removing it to allow anyone that
> > actually cares about the codebase to notice it before removing it.
> 
> I don't know about netdev view on this, but for the RDMA code, the code
> in staging means _not_exist_. We took this decision after/during Lustre
> fiasco. 

That's fine, each subsystem can set it's own rules for staging code.
For networking stuff, the flow-out-through-staging has been happening
for some time now.

Lustre was a different beast, that was an attempt to get code into the
kernel, not out.

thanks,

greg k-h